import { select, tsv, geoPath, 
        geoNaturalEarth1, zoom, event
       scaleOrdinal, schemeCategory10} from 'd3';
import {feature} from 'topojson';
import {loadAndProcessData} from './loadAndProcess.js'
const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const projection = geoNaturalEarth1();
const pathGenerator = geoPath().projection(projection);

const g = svg.append('g');

g.append('path')
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));



svg.call(zoom().on('zoom', () => {
		g.attr('transform', event.transform);
		}));

const colorScale = scaleOrdinal(schemeCategory10);

loadAndProcessData().then(countries => {
  
  		g.selectAll('path')
          .data(countries.features)
          .enter().append('path')
            .attr('class', 'country')
            .attr('d', pathGenerator)
  					.attr('fill', '#93ff93')
          .append('title')
            .text( d => d.properties.name)
});


	









